UNBOUND-CHECKCONF(8)

NAME
unbound-checkconf - Check Unbound 1.24.2 configuration file for errors.

SYNOPSIS

unbound-checkconf [-hf] [-o option] [cfgfile]

DESCRIPTION

unbound-checkconf checks the configuration file for the unbound(8) DNS resolver for syntax and other errors. The config file syntax is described in unbound.conf(5).

The available options are:

    -h  Show the version and commandline option help.

    -f  Print full pathname, with chroot applied to it. Use with the -o option.

    -q  Make the operation quiet, suppress output on success.

    -o <option>
        If given, after checking the config file the value of this option is printed to stdout. For "" (disabled) options an empty line is printed.

    cfgfile
        The config file to read with settings for Unbound. It is checked. If omitted, the config file at the default location is checked.

EXIT CODE

The unbound-checkconf program exits with status code 1 on error, 0 for a correct config file.

FILES

    /etc/unbound/unbound.conf
        Unbound configuration file.

SEE ALSO

unbound.conf(5), unbound(8).

AUTHOR
Unbound developers are mentioned in the CREDITS file in the distribution.

COPYRIGHT
1999-2025, NLnet Labs